#
# spec file for package rubygem-cancan
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rubygem-cancan
Version:        1.6.10
Release:        9.3
%define mod_name cancan
%define mod_full_name %{mod_name}-%{version}

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 1
Url:            http://github.com/ryanb/cancan
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Summary:        Simple authorization solution for Rails
License:        MIT
Group:          Development/Languages/Ruby

%description
Simple authorization solution for Rails which is decoupled from user roles.
All permissions are stored in a single location.

%package doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}

%description doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.

%package testsuite
Summary:        Test suite for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}

%description testsuite
Test::Unit or RSpec files, useful for developers.

%prep
#gem_unpack
#if you need patches, apply them here and replace the # with a % sign in the surrounding lines
#gem_build

%build

%install
%gem_install -f
mkdir -p %{buildroot}%{_docdir}/%{name}
ln -s %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/LICENSE %buildroot/%{_docdir}/%{name}/LICENSE
ln -s %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/README.rdoc %buildroot/%{_docdir}/%{name}/README.rdoc

%files
%defattr(-,root,root,-)
%{_docdir}/%{name}
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_full_name}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/
%exclude %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/spec
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_full_name}.gemspec

%files doc
%defattr(-,root,root,-)
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_full_name}/

%files testsuite
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/spec

%changelog
* Mon May 27 2013 coolo@suse.com
- updated to version 1.6.10
  * fix matches_conditons_hash for string values on 1.8 (thanks rrosen)
  * work around SQL injection vulnerability in older Rails versions (thanks steerio) - issue #800
  * add support for nested join conditions (thanks yuszuv) - issue #806
  * fix load_resource "find_by" in mongoid resources (thanks albertobajo) - issue #705
  * fix namespace split behavior (thanks xinuc) - issue #668
  * fix inserting AND (NULL) to end of SQL queries (thanks jonsgreen) - issue #687
  * fix merge_joins for nested association hashes (thanks DavidMikeSimon) - issues #655, #560
  * raise error on recursive alias_action (thanks fl00r) - issue #660
  * fix namespace controllers not loading params (thanks andhapp) - issues #670, #664
* Wed Aug  1 2012 coolo@suse.com
- updated to version 1.6.8
* Wed Jan 18 2012 mrueckert@suse.de
- update to version 1.6.7
  see /usr/lib*/ruby/gems/1.8/gems/cancan-1.6.7/CHANGELOG.rdoc
* Fri Jun 11 2010 mrueckert@suse.de
- update to version 1.1.1
  * Fixing behavior in Rails 3 by properly initializing
    ResourceAuthorization
- additional changes from version 1.1.0
  * Supporting arrays, ranges, and nested hashes in ability
    conditions
  * Removing "unauthorized!" method in favor of "authorize!" in
    controllers
  * Adding action, subject and default_message abilities to
    AccessDenied exception - see issue #40
  * Adding caching to current_ability controller method, if you're
    overriding this be sure to add caching too.
  * Adding "accessible_by" method to Active Record for fetching
    records matching a specific ability
  * Adding conditions behavior to Ability#can and fetch with
    Ability#conditions - see issue #53
  * Renaming :class option to :resource for
    load_and_authorize_resource which now supports a symbol for non
    models - see issue #45
  * Properly handle Admin::AbilitiesController in
    params[:controller] - see issue #46
  * Adding be_able_to RSpec matcher (thanks dchelimsky), requires
    Ruby 1.8.7 or higher - see issue #54
  * Support additional arguments to can? which get passed to the
    block - see issue #48
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Wed Jan  6 2010 prusnak@suse.cz
- updated to 1.0.2
* Wed Dec 16 2009 mrueckert@suse.de
- initial package of version 1.0.0
